{% include tip.html content="This is the MPL branch of Flutter Sound. If you are developing a GPL App, you probably want to consider using
the `GPL τ Sound 9.0` fork, because it has (or will have) several great enhancements :

- A new cleaner API
- Better Web Support
- A port to React Native (later)
- A port to Microsoft Blazor (later)
- A new class which will implement Audio Graphs (later)
- Better PCM support
- ... and soon perhaps other fantastic things 😉 :" %}
# [`GPL τ Sound 9.0` fork](https://pub.dev/packages/tau_sound)

---------------------------------------------------------------------------------------------------------------------------------

![Banner](https://flutter-sound.canardoux.xyz/images/banner.png)

- ## Flutter Sound user: your [documentation is there](https://flutter-sound.canardoux.xyz/readme.html)
- ## The [CHANGELOG file is here](https://flutter-sound.canardoux.xyz/changelog.html)

-----------------------------------------------------------------------------------------------------------------------------------

![Demo](https://user-images.githubusercontent.com/27461460/77531555-77c9ec00-6ed6-11ea-9813-320f943b08cc.gif)

## Overview

Flutter Sound is a Flutter package allowing you to play and record audio for :
- Android
- iOS
- Flutter Web

Flutter Sound provides both a high level API and widgets for:

* play audio
* record audio

Flutter Sound can be used to play a beep from an asset all the way up to implementing a complete media player.

This project is one of the two forks of the famous LGPL Flutter Sound Project 8.3. (The other being the GPL [Tau Sound Project 9.0](https://pub.dev/packages/tau_sound).

This fork is published under the Mozilla Public License MPL2.0. 

If your App will be covered by the GPL License,
you probably want to consider using the GPL [Tau Sound Project 9.0](https://pub.dev/packages/tau_sound) : Tau Sound 9.0 offers several enhancement compared to Flutter Sound 8.3.

## Requirements

- Flutter Sound requires an iOS 10.0 SDK (or later)
- Flutter Sound requires an Android API level 21 (or later)

## Features

The Flutter Sound package includes the following features

- Play and Record flutter sound or music with various codecs.
- Play local or remote files specified by their URL.
- Play assets.
- Play audio using the built in SoundPlayerUI Widget.
- Roll your own UI utilising the Flutter Sound api.
- Record audio using the builtin SoundRecorderUI Widget.
- Roll your own Recording UI utilising the Flutter Sound api.
- Support for releasing/resuming resources when the app pauses/resumes.
- Record to a Dart Stream
- Playback from a Dart Stream
- The App playback can be controled from the device lock screen or from an Apple watch

## Changelog

You can find the [changes here](https://flutter-sound.canardoux.xyz/changelog.html)


## Documentation

The [documentation is here](https://flutter-sound.canardoux.xyz/readme.html)


## License

- Flutter Sound is copyrighted by Dooboolab (2018, 2019, 2020, 2021).
- Flutter Sound is released under the permissive Mozilla license which has a **weak** *copyleft* clause: if you modify some of Flutter Sound code you must publish your modifications under the MPL license too. But you may publish your App with any license you want. Even a Proprietary/Close Sources License (shame on you!).
- If your App is covered by the GPL license, you probably want to consider using the GPL [Tau Sound Project 9.0](https://pub.dev/packages/tau_sound) : indeed Tau Sound 9.0 offers several enhancement compared to Flutter Sound 8.3.

## Help

I greatly appreciate any contributions to the project which can be as simple as providing feedback on the API or documentation.

<a href="https://www.buymeacoffee.com/larpoux"><img src="https://img.buymeacoffee.com/button-api/?text=Buy me a coffee&emoji=💛&slug=larpoux&button_colour=5F7FFF&font_colour=ffffff&font_family=Cookie&outline_colour=000000&coffee_colour=FFDD00"></a>
[![Paypal](https://www.paypalobjects.com/webstatic/mktg/Logo/pp-logo-100px.png)](https://paypal.me/thetauproject?locale.x=fr_FR)

## You can also click on the "Thumb up" button of the top of the [pub.dev page](https://pub.dev/packages/flutter_sound). This is free and this will reassure me that **I do not spend most of my life for nobody**.


